<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd" >
<mapper namespace="com.zhiqiyun.open.core.mapper.UserLoginAccountMapper">
    <insert id="insertOrUpdate">
        replace
        into `user_login_account` (`id`, `uid`, `login_account`, `account_type`)
        values (
        #{id, jdbcType=BIGINT},
        #{uid, jdbcType=BIGINT},
        #{loginAccount, jdbcType=VARCHAR},
        #{accountType}
        )
    </insert>
    <delete id="deleteByUid">
        delete
        from `user_login_account`
        where uid = #{uid}
    </delete>
</mapper>
